Bug 15974 - Rancor - 942c is always displaying first in the list.
Summary: Rancor - 942c is always displaying first in the list.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jesse Weaver
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-03 19:49 UTC by Ed Veal
Modified: 2019-06-27 09:24 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15974: Rancor: Correctly select existing authorized value (2.19 KB, patch)
2016-07-20 22:55 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 15974: Rancor: Correctly select existing authorized value (2.29 KB, patch)
2016-07-21 14:28 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 15974: Rancor: Correctly select existing authorized value (2.37 KB, patch)
2016-07-21 17:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Veal 2016-03-03 19:49:45 UTC
When you open a record up using the advanced marc editor if there is a 942c the display will show the first in the list of possible koha Itypes. If you change this to the correct type it will save correctly. 

However, if you open a record and don't correct the 942c it will save based on what appears in the field (the first option). 

Ed
Comment 1 Karl Holten 2016-06-14 19:21:42 UTC
This is also the case for 008 dropdown on the top. It seems like both of the dropdowns automatically default to the first alphabetical option.
Comment 2 J Schmidt 2016-06-21 17:10:13 UTC
Our site thinks when we had the advanced editor on and staff were editing the 8xx fields for serial holdings the bug changed those serial bibs from their serial framework putting them on the default framework. FYI.
Comment 3 Jesse Weaver 2016-07-20 22:55:42 UTC Comment hidden (obsolete)
Comment 4 Mark Tompsett 2016-07-21 14:26:43 UTC
(In reply to Karl Holten from comment #1)
> This is also the case for 008 dropdown on the top. It seems like both of the
> dropdowns automatically default to the first alphabetical option.

I can confirm this is an issue. Please make a separate bug report.
Comment 5 Mark Tompsett 2016-07-21 14:28:20 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-07-21 17:45:37 UTC
Created attachment 53601 [details] [review]
Bug 15974: Rancor: Correctly select existing authorized value

Test plan:
  1) Open up a record in Rancor with an itemtype besides the first in
     the list ('BK' in the sample itemtypes).
  2) It will show "Book" instead of the correct itemtype.
  3) Apply patch, reload the page.
  4) The correct itemtype should now show.

NOTE: The scope is only 942$c. This corrects that.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2016-07-22 17:09:08 UTC
Pushed to master for 16.11, thanks Jesse!
Comment 8 Frédéric Demians 2016-08-01 13:43:54 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 9 Julian Maurice 2016-08-17 11:39:56 UTC
Patches pushed to 3.22.x, will be in 3.22.10